Bug 806868 - [abrt] firewalld-0.2.4-1.fc17: errors.py:84:get_code:KeyError: ''
[abrt] firewalld-0.2.4-1.fc17: errors.py:84:get_code:KeyError: ''
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
abrt_hash:824494d306ce259f38455f6cc06...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 07:46 EDT by Dominick Grift
Modified: 2012-04-24 00:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: firewalld-0.2.5-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 00:25:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominick Grift 2012-03-26 07:46:36 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/firewall-cmd --add --zone=public --service=vnc
comment:        polkit authentication failure (mistyped my password)
executable:     /usr/bin/firewall-cmd
kernel:         3.3.0-1.fc17.x86_64
reason:         errors.py:84:get_code:KeyError: ''
time:           Mon 26 Mar 2012 01:28:40 PM CEST
uid:            1000
username:       dominick

backtrace:
:errors.py:84:get_code:KeyError: ''
:
:Traceback (most recent call last):
:  File "/usr/bin/firewall-cmd", line 447, in <module>
:    code = FirewallError.get_code(e.message)
:  File "/usr/lib/python2.7/site-packages/firewall/errors.py", line 84, in get_code
:    return FirewallError.codes[ecode]
:KeyError: ''
:
:Local variables in innermost frame:
:msg: ''
:ecode: ''

smolt_data:
:
:
:General
:=================================
:UUID: e7819153-4444-4e85-a381-c260ce567a6d
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3989.82
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Quad  CPU   Q9000  @ 2.00GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 4
:CPU Speed: 2001
:System Memory: 3916
:System Swap: 5965
:Vendor: Intel Corporation
:System: Cantiga & ICH9M Chipset Not Applicable
:Form factor: Other
:Kernel: 3.3.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10550:5385:12299) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(5772:42:6715:4199) pci, ath9k, NETWORK, AR928X Wireless Network Adapter (PCI-Express)
:(32902:10818:5385:12300) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10537:5385:12299) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10560:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10521:5385:12299) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:10558:5385:12302) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10549:5385:12299) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10544:5385:12299) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:9288:0:0) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(4332:33128:5385:12299) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:10548:5385:12299) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:5385:12299) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:5385:12299) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10816:5385:12299) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10570:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(32902:10553:5385:12299) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:5385:12299) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:5385:12299) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/luks-906d7e19-4cf3-460a-8ab2-0f8e78ab6b7d / ext4 4096 4096 13081307 11734645 11079311 3276800 3133256 3133256
:/dev/sda2 /boot ext4 1024 1024 508745 458377 432777 128016 127739 127739
:/dev/mapper/luks-3b7f88b2-2bb6-4739-aef2-6cac1ec078b3 /home ext4 4096 4096 63305081 61132500 57963566 15851520 15850982 15850982
:
Comment 1 Thomas Woerner 2012-03-26 08:37:15 EDT
Fixed upstream: 


commit 67e99e1237cdcbf3a6ab94c7a8a9e19bd10d063e
Author: Thomas Woerner <twoerner@redhat.com>
Date:   Mon Mar 26 14:26:44 2012 +0200

    Fixed traceback in firewall-cmd for failed or canceled authorization, return
    proper error codes, new error codes NOT_RUNNING and NOT_AUTHORIZED
    
    Fixes: RHBZ#806868
    
    * src/firewall-cmd
    - try to resolve error as FirewallError, fallback to UNKNOWN_ERROR
    - return new NOT_RUNNING error if firewalld is not running
    - new NotAuthorizedException capture with new NOT_AUTHORIZED error code
    * src/firewall/errors.py
    - dropped unused UNKNOWN_SENDER error
    - new errors NOT_RUNNING and NOT_AUTHORIZED
Comment 2 Fedora Update System 2012-04-20 15:54:01 EDT
firewalld-0.2.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/firewalld-0.2.5-1.fc17
Comment 3 Fedora Update System 2012-04-21 17:03:50 EDT
Package firewalld-0.2.5-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.2.5-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6323/firewalld-0.2.5-1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-04-24 00:25:36 EDT
firewalld-0.2.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.